Import('*')

objects = []

# INCLUDE DIRECTORIES
# Implements: COR010
includes = [
     'Diag_SWC',
	 'E2E_SWC',
	 'Com_SWC',
	 'Memory_SWC',
	 'Wdg_SWC',
	 'Base_SWC',




]

# SOURCE FILES
sources = [
	'Com_SWC/Com_SWC.c',
	'Memory_SWC/Memory_SWC.c',
	'Base_SWC/Base_SWC.c',
	'Wdg_SWC/Wdg_SWC.c',
	'E2E_SWC/E2E_SWC_Rx.c',
	'E2E_SWC/E2E_SWC_Tx.c',
	'E2E_SWC/Rte_E2E_SWC_Rx.c',
	'E2E_SWC/Rte_E2E_SWC_Tx.c',
	'Diag_SWC/Diag_SWC.c',
	]

# GENERATED SOURCE FILES
gen_sources = [
]

# ADD INCLUDE DIRECTORIES
for include in includes:
	env.Append(CPPPATH=[Dir(include).abspath])

# COMPILER SOURCE FILE
for source in sources:
	objects += env.Object(source)
	
# GENERATED SOURCE FILES
for gen_source in gen_sources:
	objects += env.Object(gen_source)
	
#objects = env.Library('ASW', objects)


# RETURN					  
Return('objects')